import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns

tips = sns.load_dataset("tips")

plt.figure(figsize=(15, 5))
s_list = [0.25, 0.5, 0.75, 1]
for i, s in enumerate(s_list):
    plt.subplot(1, len(s_list), i + 1)
    plt.title(f"saturation = {s}")
    sns.countplot(x='day', hue='sex', saturation=s, palette="Set1", data=tips)

plt.show()
